# Reputation Analysis of Companies and CEOs

[![pypi-image]][pypi-url]
[![version-image]][release-url]
[![release-date-image]][release-url]
[![license-image]][license-url]
[![codecov][codecov-image]][codecov-url]
[![jupyter-book-image]][docs-url]

<!-- Links: -->
[codecov-image]: https://codecov.io/gh/entelecheia/corporate-reputation/branch/main/graph/badge.svg?token=5QP39SFTGR
[codecov-url]: https://codecov.io/gh/entelecheia/corporate-reputation
[pypi-image]: https://img.shields.io/pypi/v/corporate-reputation
[license-image]: https://img.shields.io/github/license/entelecheia/corporate-reputation
[license-url]: https://github.com/entelecheia/corporate-reputation/blob/main/LICENSE
[version-image]: https://img.shields.io/github/v/release/entelecheia/corporate-reputation?sort=semver
[release-date-image]: https://img.shields.io/github/release-date/entelecheia/corporate-reputation
[release-url]: https://github.com/entelecheia/corporate-reputation/releases
[jupyter-book-image]: https://jupyterbook.org/en/stable/_images/badge.svg

[repo-url]: https://github.com/entelecheia/corporate-reputation
[pypi-url]: https://pypi.org/project/corporate-reputation
[docs-url]: https://corporate-reputation.entelecheia.ai
[changelog]: https://github.com/entelecheia/corporate-reputation/blob/main/CHANGELOG.md
[contributing guidelines]: https://github.com/entelecheia/corporate-reputation/blob/main/CONTRIBUTING.md
<!-- Links: -->

Unraveling Corporate and CEO Reputation using Aspect-Based Sentiment Analysis and Signal Modeling

- Documentation: [https://corporate-reputation.entelecheia.ai][docs-url]
- GitHub: [https://github.com/entelecheia/corporate-reputation][repo-url]
- PyPI: [https://pypi.org/project/corporate-reputation][pypi-url]

The reputation of a company and its CEO forms an intangible asset that significantly influences organizational success. With digital media becoming the central stage for public opinion formation, understanding and quantifying reputation has become more complex yet critically important. This study proposes an innovative approach to disentangle and measure the reputation of a company and its CEO using Aspect-Based Sentiment Analysis (ABSA) coupled with a signal model to trace the evolution of sentiment over time.

The research first leverages ABSA, through a generative language modeling approach, to separately analyze sentiments associated with a company and its CEO. ABSA's granular nature allows us to differentiate aspects associated with the CEO from those linked to the company, thereby creating distinct reputation metrics.

Next, a signal model, built upon principles from the Stochastic Process Theory and probability density functions, is used to analyze sentiment evolution over time, providing insights into the dynamic nature of reputation. This model further quantifies the mutual information between the sentiment scores of the CEO and the company, assessing their interdependence and the influence they exert on each other.

While recognizing the challenges associated with employing ABSA and the proposed signal model, this research highlights the potential of these tools to inform strategic decision-making. Whether it's for companies striving to manage their reputation, investors evaluating corporate reputation, regulators ensuring compliance, or media organizations reporting on trends, the ability to separate and track the reputations of a company and its CEO could offer profound insights.

The study, therefore, presents a new frontier in reputation analysis and management, enabling a granular, dynamic, and nuanced understanding of corporate and CEO reputations in the digital age.

## Changelog

See the [CHANGELOG] for more information.

## Contributing

Contributions are welcome! Please see the [contributing guidelines] for more information.

## License

This project is released under the [MIT License][license-url].
